body {
    font-family: "Poppins", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
    font-weight: 400;
}

h1, h2, h3 {
    font-weight: 600;
    letter-spacing: 0.03em;
}

.upper_menu {
    display: flex;
    flex-direction: row;
    width: 100%;
    padding: 10px 0;
    margin-left: 33%;
    margin-right: 33%;
    width: 1110px;
    margin: 0 auto;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    padding-left: 30px;
    padding-right: 30px;
    border-radius: 16px;
}
.secound_layer {
    display: flex;
    flex-direction: row;
}

.logo_wrap {
    max-width: 120px;
    max-height: 120px;
    overflow: hidden;
}

.logo_img {
    max-width: 100%;
    height: auto;
    display: block
}

.vk_link {
    max-width: 50px;
    max-height: 50px;
    overflow: hidden;
}

.whatsapp_link {
    max-width: 50px;
    max-height: 50px;
    overflow: hidden;
}

.vk_link img {
    max-width: 100%;
    height: auto;
    display: block
}

.whatsapp_link img {
    max-width: 100%;
    height: auto;
    display: block
}

.upper_menu_buttons {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.upper_menu_btn {
    margin: 0 auto;
}

.upper_menu a {
    display: block;
    padding: 10px 16px;
    text-decoration: none;
    font-family: sans-serif;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.contact_block {
    flex-direction: row;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.whatsapp_link a{
    max-width: 100%;
    padding: 10px;
}

.vk_link a{
    max-width: 100%;
    padding: 10px;
}

.cellphone {
    font-family: "Inter", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
    font-size: 22px;
    font-weight: 700;
    text-decoration: none;
    white-space: nowrap;
    margin: 10px;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.cellphone a {
    color: #223982;
}

.slider-main {
    height: 400px;
    position: relative;
    display: flex;
    flex-direction: row;
    width: 1110px;
    margin: 0 auto;
    box-shadow: 0 1px 20px rgba(0, 0, 0, 0.1);
    padding-left: 30px;
    padding-right: 30px;
    border-radius: 16px;
    background-image: url("../banner_images/banner-image.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.slider-info {
    width: 620px;
    display: flex;
    flex-direction: column;
    gap: 11px;
    background-color: rgba(128, 128, 128, 0.5);
    margin: 0 auto;
    justify-content: center;
    align-items: center;
    max-height: 400px;
}

.slider-img {
    position: absolute;
    right: 0;
    display: none;
}

.slider-img img {
    max-height: 365px;
}

.slider-title {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
    font-size: 33px;
    font-weight: 800;
    line-height: 1.1;
    color: rgb(255, 255, 255);
    letter-spacing: 0.08em;
}

.slider-desc {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
    font-size: 18px;
    font-weight: 200;
    line-height: 1.1;
    color: rgb(255, 255, 255);
    letter-spacing: 0.08em;
}

.slider-btn {
    font-size: 12px;
    width: 164px;
    height: 37px;
    background-color: #223982;
    border-radius: 3px;
    display: flex;
    justify-content: center !important;
    align-items: center !important;
}

.slider-btn a {
    color: white;
    text-decoration: none;
}

.Advantages {
    width: 1110px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 20px;
    padding-bottom: 20px
}

.adv_block {
    display: flex;
    flex-direction: row;
    gap: 16px;
    margin: 0 auto;
}

.adv_block_item {
    display: flex;
    flex-direction: column;
    width: 240px;
    height: 140px;
    border: 3px solid gray;
    justify-content: center !important;
    align-items: center !important;
    border-radius: 5px;
    gap: 10px;
    color: #243b83;
    text-decoration: none;
}

.adv_block_item img {
    max-width: 60px;
}

.advant_title {
    padding-left: 40px;
}

.portfolio {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 1110px;
    margin: 0 auto;
    box-shadow: 0 1px 20px rgba(0, 0, 0, 0.1);
    padding-left: 30px;
    padding-right: 30px;
    border-radius: 16px;
}

.portfolio h1 {
    padding-left: 40px;
}

.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding-bottom: 20px;
}

.card {
    border-radius: 12px;
    overflow: hidden;
    background: #fff;
    box-shadow: 0 4px 12px rgba(0,0,0,0.12);
}


.card img {
    width: 100%;
    height: 220px;          /* фиксированная высота превью */
    object-fit: cover;      /* обрезать, но не искажать */
    display: block;
}

.portfolio a {
    width: 200px;
    height: 37px;
    background-color: #223982;
    border-radius: 10px;
    display: flex;
    justify-content: center !important;
    align-items: center !important;
    margin: 0 auto;
    color: white;
    text-decoration: none;
}

a:hover {
    transform: scale(0.9);
    transition: transform 0.2s ease-in-out;
}

.adv_block_item:hover {
    transform: scale(1.05);
    transition: transform 0.5s ease-in-out;
}

.load-more_href {
    margin-bottom: 15px !important;
}

.y-map {
    position: relative;
    left: 0;
    box-shadow: 0 1px 20px rgba(0, 0, 0, 0.1);
}

.number_block {
    display: flex;
    flex-direction: row;
}

.main_contact_class {
    box-shadow: 0 1px 20px rgba(0, 0, 0, 0.1);
    width: 1110px;
    height: 550px;
    margin: 0 auto;
    padding-left: 30px;
    padding-right: 30px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.contact_us_block {
    width: 630px;
}

.bigger_title {
    font-size: 82px;
    line-height: 0.9;
    font-weight: 450;
}

.info_desc {
    font-size: 20px;
    line-height: 0.9;
    font-weight: 300;
}

.info_coll {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-top: 10%;
    padding-bottom: 10%;
}

.contact_info_data {
    display: flex;
    flex-direction: row;
}

.data_item {
    display: flex;
    flex-direction: column;
    margin-right: 2%;
}

.callback_us {
    margin-top: 5%;
    display: flex;
    text-align: center;
    justify-content: center !important;
    align-items: center !important;
}

.input_field {
    width: 80%;
}